<template>
  <ul>
      <li v-for="part in parts" :key="part.id" v-on:click="part.show= !part.show" >
        <h4>{{ part.name }}</h4>
        <h5 v-show="part.show">{{ part.speciality }}</h5>
      </li>
      
  </ul>
</template>

<script>

export default {
  props: {
    parts: {
      type: Array,
      required: true,
    }
  },
  data() {
    return {
      // parts : [
      //   {name:'part 1',speciality: "Vue Components", show:true},
      //   {name:'part 2', speciality: "Vue Event ", show:false},
      //   {name:'part 3',speciality: "Conditionals", show:false},
      //   {name:'part 4',speciality: "Data Design", show:false},
      //   {name:'part 5', speciality: "Vue Event 2 ", show:false},
      //   {name:'part 6',speciality: "Conditionals 2", show:false}
      //   ]
    }
  },

//   methods: {
//     greeting: function(){
//       return "First Method"
//     }
//   }

 }
</script>

<style>
  #ninjas{
    width: 100%;
    max-width: 1200px;
    margin: 40px auto;
    padding: 0 auto ;
    box-sizing: border-box;
  }
  ul {
    display: flex;
    flex-wrap: wrap;
    list-style-type: none;
    padding: 0;
  }
  li {
    flex-grow: 1;
    flex-basis: 300px;
    text-align: center;
    padding: 30px;
    border: 1px solid #222;
    margin: 10px;
  }
</style>
